function Codebreaker
%Codebreaker
%
%Codebreaker's TopCat Filters clone based on EUR/USD H1 from
%{2008.01.18 15:00} to {2008.01.28 11:00} GMT+01:00
%Reference : http://www.forexfactory.com/showpost.php?p=1830984&postcount=1
%
%Uses :
%    - ullma.m
%    - PlotHD.m
%    - HeikinAshi.m
%    - eurusdh1.mat

    HI=4;
    LO=5;
    START=113;
    END=255;

    load('eurusdh1.mat');

    ha=HeikinAshi(eurusdh1);
    median=(ha(:,HI)+ha(:,LO))*0.5;

    H=ullma(0);
    h1=H.filter(median);
    h1(1:length(H.Numerator)-1)=NaN;
    h2=h1+[0;diff(h1)];

    PlotHD(eurusdh1(START:END,:));hold on;plot(h1(START:END),'r');plot(h2(START:END),'g');hold off;
end